{ config ? {}, system ? builtins.currentSystem, ... }@args:

let
  sources = import ../nix/sources.nix;
  pkgs = import sources.nixpkgs args;

  callPackage = pkgs.lib.callPackageWith (pkgs // newpkgs);

  newpkgs = {
    peertube = callPackage ./peertube { mylibs = import "${sources.immae-nix}/lib" { inherit pkgs; }; };
    alps = callPackage ./alps {};

    inherit callPackage;
    appendOverlays = overlays: (pkgs.appendOverlays overlays) // newpkgs;
  };

in pkgs // newpkgs
